# PD Conversion Prediction

This repository contains a machine learning model generated as an MRI-based classifier and the code for the confounder-adjusted permutation test.

## MRI-based classifier

- Trained to differentiate between healthy individuals and those with Parkinson's disease (PD)
- Utilizes the random forest method
- Incorporates brain structural features comprising cortical thickness of 62 grey matter regions and integrity of 48 white matter regions, along with confounding variables of age and sex
- Provides a PD class probability for each individual, indicating the likelihood of belonging to the PD class, in addition to the individual's class membership

## Confounder-adjusted permutation test

- Compares an outcome variable (such as test scores) between groups while adjusting for confounders
- The function can be executed as follows in MATLAB:

```matlab
[pValue, observedStat, statStr, summaryMeasure, residuals] = PermForConfounderAdjustment(Y, Group, Confounder)
```

- Requires the following inputs:
  * (i) Y: outcome variable values for individuals
  * (ii) Group: group labels for individuals
  * (iii) Confounder: confounders for individuals
  * For example, when comparing an outcome variable between Group A (40 individuals) and Group B (30 individuals), "Y" would be a 70 x 1 numeric array, "Group" a 70 x 1 string array like ["A", "A", "A", ..., "B", "B"]', and "Confounder" a 70 x 2 numeric array if there are two confounders.

- Conducted according to the following process:
  * (i) Confounders (such as age and sex) are adjusted for by regressing the outcome variable against them and retaining the residuals.
  * (ii) The null distribution of a nonparametric test statistic (from the Kruskal–Wallis test for comparison between all groups or from the Mann–Whitney U test for post hoc pair-wise comparisons) under the assumption of no group effect is generated by permuting the group labels 1,000 times, recalculating the test statistic on the permuted groups each time.
  * (iii) A P value is computed by comparing the observed statistic to the distribution of permuted statistics.

- Provides the following outputs:
  * (i) pValue: calculated by comparing the observed statistic to the distribution of permuted statistics
  * (ii) observedStat: nonparametric test statistic calculated for the original, non-permuted group labels
  * (iii) statStr: 'Chi2' for the Kruskal–Wallis test for comparison between all groups or 'Z' for the Mann–Whitney U test for post hoc pair-wise comparisons
  * (iv) summaryMeasure: group-wise mean and standard deviation of the confounder-adjusted outcome variable (i.e., residuals)
  * (v) residuals: confounder-adjusted outcome variable